/* OCCSD7.CMD */
/*
 * Run this program to add the new documentation file into the VisualAge C++
 * Information folder.
 */

call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

/* Set up various variables */

cppmain = value('CPPMAIN',,'OS2ENVIRONMENT')
cppwork = value('CPPWORK',,'OS2ENVIRONMENT')
bootdrive = substr(filespec('drive',value('COMSPEC',,'OS2ENVIRONMENT')),1,1)
vacpp_shared = value('VACPP_SHARED',,'OS2ENVIRONMENT')

if pos(filespec('drive',cppmain), SysDriveMap('C:','REMOTE')) | ,
   pos(filespec('drive',cppwork), SysDriveMap('C:','REMOTE')) then
  target = 'R'
else
  target = 'L'

/* Add the new documentation file to the VisualAge C++ Information folder */

exename = 'VIEW.EXE'
parameters = 'OCCSD.INF'
titlestr='Open Class Library Documentation Update'

If \ SysCreateObject('WPProgram',titlestr,'<CT_TOOLINFO>','EXENAME='exename';PARAMETERS='parameters';STARTUPDIR='cppmain'\help;OBJECTID=<OCCSD7>','R') then
  say "Unable to create program in VisualAge C++ Information Folder"

/* Copy file to the appropriate directory */

copy occsd.inf  cppmain'\help'
say "Icon created and file copied successfully."
